import React from "react";
import "./Person.css";

type TProps = {
    name: string;
    age: string;
    onClick: VoidFunction;
    onRemove: VoidFunction;
    onChange: React.ChangeEventHandler<HTMLInputElement>
};

export const Person = (data: TProps) => {
    return (
        <div className="Person">
            <div className="text_block">
                <h2>Name: {data.name}</h2>
                <p>Age: {data.age}</p>
            </div>

            <div className="pagination">
                <button onClick={data.onClick}>Change</button>
                <button onClick={data.onRemove}>Remove</button>
            </div>

            <div className="input_block">
                <input type="text" onChange={data.onChange}/>
            </div>  
        </div>
    );
};